# Send verification SMS

Sends a one-time passcode (OTP) by SMS to the specified phone number for a selected user. **Required permissions**: `apps:execute`, `[appId]:execute`, `auth:execute`.

Endpoint: POST /v1/users/{user_id}/phone/verification/send
Security: ClientAccessToken

## Security:

  - `ClientAccessToken` (unknown)
    oauth2

## Path parameters:

  - `user_id` (string, required)
    ID of the user

## Request fields (application/json):

  - `custom_message` (string)
    Message to send, must contain {otp} and {app} placeholders to be replaced with one time password and application name. Limited to 140 characters

  - `sender_id` (string)
    The sender name that appears as the message sender on recipients devices. Limited to 11 characters. Limited support see https://docs.aws.amazon.com/sns/latest/dg/sns-supported-regions-countries.html

  - `phone_number` (string, required)
    Phone number to send the OTP to

## Response 200 fields (application/json):

  - `message` (string, required)
    Example: SMS sent

## Response 404 fields (application/json):

  - `message` (string, required)

  - `error_code` (number, required)
    Example: 404

## Response 409 fields (application/json):

  - `message` (string, required)
    Example: Phone number is already verified in the tenant

  - `error_code` (number, required)
    Example: 409

